//Copyright (c) 2000, Luigi Bianchi
//E-Mail: Luigi.Bianchi@uniroma2.it.
//Permission is granted to use this code without restriction as long as 
//this copyright notice appears in all source files."
//---------------------------------------------------------------------------
#ifndef DialogBoxH
#define DialogBoxH
//---------------------------------------------------------------------------

#include "pVCLComponent.h"
#include "PVISUAL.h"


class pDialogBox : public pVisualObject
{		int nClientWidth;
		int nClientHeight;
      int nPixelsPerInch;

      bool bCtl3D;
      bool b_fixedsys;

      StrList BorderIcons;

      string strMenuName;
      string strPosition;
      string strBorderStyle;
      string strFormStyle;
      string strWindowState;

      string strIconFileName;

		bool SetMoreAttr();

		bool ResizeMore(float fx, float fy);
   	bool ParseVisual(FILE *fin, char *sss);
	public:
   	pDialogBox(const char *_sz_name, const char *_sz_include);
      bool WriteRcRh(StrList& sl_rc, StrList& sl_rh);
		bool WriteCppHpp(StrList& sl_cpp, StrList& sl_hpp);
};



#endif
