//Copyright (c) 2000, Luigi Bianchi
//E-Mail: Luigi.Bianchi@uniroma2.it.
//Permission is granted to use this code without restriction as long as 
//this copyright notice appears in all source files."


/**# implementation pMenuItem:: id(C_0954170849) */

//---------------------------------------------------------------------------
#ifndef pmenuH
#define pmenuH
//---------------------------------------------------------------------------

#include "pResComponent.h"

class pMenuBase : public pResComponent
{
	protected:
		string strMenuText;
      bool bCommand;
      
	public:
		pMenuBase(char *, char*);
	bool OnParseEnd();
};


class pMenuItem : public pMenuBase
{	public :
		pMenuItem(char *);
      bool WriteRcRh(StrList& sl_rc, StrList& sl_rh);
		bool WriteCppHpp(StrList& sl_cpp, StrList& sl_hpp);
      void SetIndent(int);

	protected:
      int indent;
};


class pMenu : public pMenuBase
{	public:
   	pMenu(char *, char *);
      bool WriteRcRh(StrList& sl_rc, StrList& sl_rh);
};


#endif
